(function(lib, img, cjs, ss, an) {

    var p; // shortcut to reference prototypes
    lib.webFontTxtInst = {};
    var loadedTypekitCount = 0;
    var loadedGoogleCount = 0;
    var gFontsUpdateCacheList = [];
    var tFontsUpdateCacheList = [];
    lib.ssMetadata = [{
        name: "WinBoxes_atlas_P_",
        frames: [
            [0, 0, 197, 197],
            [199, 0, 180, 60],
            [606, 252, 200, 40],
            [808, 252, 200, 40],
            [202, 210, 200, 40],
            [202, 294, 200, 40],
            [0, 210, 200, 40],
            [805, 168, 200, 40],
            [404, 210, 200, 40],
            [606, 210, 200, 40],
            [808, 210, 200, 40],
            [0, 252, 200, 40],
            [0, 294, 200, 40],
            [202, 252, 200, 40],
            [404, 294, 200, 40],
            [404, 252, 200, 40],
            [401, 126, 200, 40],
            [603, 126, 200, 40],
            [805, 126, 200, 40],
            [199, 168, 200, 40],
            [401, 168, 200, 40],
            [603, 168, 200, 40],
            [606, 378, 200, 40],
            [202, 336, 200, 40],
            [404, 420, 200, 40],
            [404, 336, 200, 40],
            [606, 420, 200, 40],
            [808, 420, 200, 40],
            [808, 294, 200, 40],
            [0, 462, 200, 40],
            [808, 378, 200, 40],
            [606, 294, 200, 40],
            [404, 378, 200, 40],
            [0, 336, 200, 40],
            [606, 336, 200, 40],
            [808, 336, 200, 40],
            [0, 378, 200, 40],
            [202, 378, 200, 40],
            [0, 420, 200, 40],
            [202, 420, 200, 40],
            [805, 84, 200, 40],
            [199, 126, 200, 40],
            [401, 84, 200, 40],
            [381, 0, 200, 40],
            [603, 84, 200, 40],
            [583, 0, 200, 40],
            [785, 42, 200, 40],
            [381, 42, 200, 40],
            [785, 0, 200, 40],
            [583, 42, 200, 40],
            [199, 84, 200, 40]
        ]
    }];



    lib.updateListCache = function(cacheList) {
        for (var i = 0; i < cacheList.length; i++) {
            if (cacheList[i].cacheCanvas)
                cacheList[i].updateCache();
        }
    };

    lib.addElementsToCache = function(textInst, cacheList) {
        var cur = textInst;
        while (cur != null && cur != exportRoot) {
            if (cacheList.indexOf(cur) != -1)
                break;
            cur = cur.parent;
        }
        if (cur != exportRoot) {
            var cur2 = textInst;
            var index = cacheList.indexOf(cur);
            while (cur2 != null && cur2 != cur) {
                cacheList.splice(index, 0, cur2);
                cur2 = cur2.parent;
                index++;
            }
        } else {
            cur = textInst;
            while (cur != null && cur != exportRoot) {
                cacheList.push(cur);
                cur = cur.parent;
            }
        }
    };

    lib.gfontAvailable = function(family, totalGoogleCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], gFontsUpdateCacheList);

        loadedGoogleCount++;
        if (loadedGoogleCount == totalGoogleCount) {
            lib.updateListCache(gFontsUpdateCacheList);
        }
    };

    lib.tfontAvailable = function(family, totalTypekitCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], tFontsUpdateCacheList);

        loadedTypekitCount++;
        if (loadedTypekitCount == totalTypekitCount) {
            lib.updateListCache(tFontsUpdateCacheList);
        }
    };
    // symbols:



    (lib.GoldenGoddess_WinBoxStatic_Desktop = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(0);
    }).prototype = p = new cjs.Sprite();



    (lib.onSymbolWin_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(1);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle00_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(2);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle01_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(3);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle02_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(4);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle03_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(5);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle04_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(6);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle05_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(7);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle06_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(8);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle07_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(9);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle08_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(10);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle09_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(11);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle10_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(12);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle11_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(13);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle12_impng = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(14);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle13_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(15);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle14_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(16);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle15_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(17);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle16_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(18);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle17_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(19);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle18_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(20);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle19_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(21);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle20_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(22);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle21_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(23);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle22_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(24);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle23_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(25);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle24_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(26);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle25_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(27);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle26_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(28);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle27_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(29);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle28_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(30);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle29_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(31);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle30_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(32);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle31_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(33);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle32_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(34);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle33_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(35);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle34_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(36);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle35_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(37);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle36_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(38);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle37_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(39);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle38_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(40);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle39_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(41);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle40_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(42);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle41_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(43);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle42_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(44);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle43_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(45);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle44_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(46);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle45_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(47);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle46_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(48);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle47_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(49);
    }).prototype = p = new cjs.Sprite();



    (lib.winBoxSparkle48_im = function() {
        this.spriteSheet = ss["WinBoxes_atlas_P_"];
        this.gotoAndStop(50);
    }).prototype = p = new cjs.Sprite();
    // helper functions:

    function mc_symbol_clone() {
        var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
        clone.gotoAndStop(this.currentFrame);
        clone.paused = this.paused;
        clone.framerate = this.framerate;
        return clone;
    }

    function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
        var prototype = cjs.extend(symbol, cjs.MovieClip);
        prototype.clone = mc_symbol_clone;
        prototype.nominalBounds = nominalBounds;
        prototype.frameBounds = frameBounds;
        return prototype;
    }


    (lib.onSymbolWin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.textField.params = {
                fontYOffset: 2,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#332104"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("XXX", "bold 22px 'Futura Cdnsd BoldEuro LocCur'", "#DB9A1D");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 30;
        this.textField.lineWidth = 176;
        this.textField.parent = this;
        this.textField.setTransform(90, 130);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // background
        this.instance = new lib.onSymbolWin_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 115);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.onSymbolWin, new cjs.Rectangle(-1, 115, 188, 60), null);


    (lib.sparkleAnimationB = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // sparkle
        this.instance = new lib.winBoxSparkle24_im();
        this.instance.parent = this;

        this.instance_1 = new lib.winBoxSparkle25_im();
        this.instance_1.parent = this;

        this.instance_2 = new lib.winBoxSparkle26_im();
        this.instance_2.parent = this;

        this.instance_3 = new lib.winBoxSparkle27_im();
        this.instance_3.parent = this;

        this.instance_4 = new lib.winBoxSparkle28_im();
        this.instance_4.parent = this;

        this.instance_5 = new lib.winBoxSparkle29_im();
        this.instance_5.parent = this;

        this.instance_6 = new lib.winBoxSparkle30_im();
        this.instance_6.parent = this;

        this.instance_7 = new lib.winBoxSparkle31_im();
        this.instance_7.parent = this;

        this.instance_8 = new lib.winBoxSparkle32_im();
        this.instance_8.parent = this;

        this.instance_9 = new lib.winBoxSparkle33_im();
        this.instance_9.parent = this;

        this.instance_10 = new lib.winBoxSparkle34_im();
        this.instance_10.parent = this;

        this.instance_11 = new lib.winBoxSparkle35_im();
        this.instance_11.parent = this;

        this.instance_12 = new lib.winBoxSparkle36_im();
        this.instance_12.parent = this;

        this.instance_13 = new lib.winBoxSparkle37_im();
        this.instance_13.parent = this;

        this.instance_14 = new lib.winBoxSparkle38_im();
        this.instance_14.parent = this;

        this.instance_15 = new lib.winBoxSparkle39_im();
        this.instance_15.parent = this;

        this.instance_16 = new lib.winBoxSparkle40_im();
        this.instance_16.parent = this;

        this.instance_17 = new lib.winBoxSparkle41_im();
        this.instance_17.parent = this;

        this.instance_18 = new lib.winBoxSparkle42_im();
        this.instance_18.parent = this;

        this.instance_19 = new lib.winBoxSparkle43_im();
        this.instance_19.parent = this;

        this.instance_20 = new lib.winBoxSparkle44_im();
        this.instance_20.parent = this;

        this.instance_21 = new lib.winBoxSparkle45_im();
        this.instance_21.parent = this;

        this.instance_22 = new lib.winBoxSparkle46_im();
        this.instance_22.parent = this;

        this.instance_23 = new lib.winBoxSparkle47_im();
        this.instance_23.parent = this;

        this.instance_24 = new lib.winBoxSparkle48_im();
        this.instance_24.parent = this;

        this.instance_25 = new lib.winBoxSparkle00_im();
        this.instance_25.parent = this;

        this.instance_26 = new lib.winBoxSparkle01_im();
        this.instance_26.parent = this;

        this.instance_27 = new lib.winBoxSparkle02_im();
        this.instance_27.parent = this;

        this.instance_28 = new lib.winBoxSparkle03_im();
        this.instance_28.parent = this;

        this.instance_29 = new lib.winBoxSparkle04_im();
        this.instance_29.parent = this;

        this.instance_30 = new lib.winBoxSparkle05_im();
        this.instance_30.parent = this;

        this.instance_31 = new lib.winBoxSparkle06_im();
        this.instance_31.parent = this;

        this.instance_32 = new lib.winBoxSparkle07_im();
        this.instance_32.parent = this;

        this.instance_33 = new lib.winBoxSparkle08_im();
        this.instance_33.parent = this;

        this.instance_34 = new lib.winBoxSparkle09_im();
        this.instance_34.parent = this;

        this.instance_35 = new lib.winBoxSparkle10_im();
        this.instance_35.parent = this;

        this.instance_36 = new lib.winBoxSparkle11_im();
        this.instance_36.parent = this;

        this.instance_37 = new lib.winBoxSparkle12_impng();
        this.instance_37.parent = this;

        this.instance_38 = new lib.winBoxSparkle13_im();
        this.instance_38.parent = this;

        this.instance_39 = new lib.winBoxSparkle14_im();
        this.instance_39.parent = this;

        this.instance_40 = new lib.winBoxSparkle15_im();
        this.instance_40.parent = this;

        this.instance_41 = new lib.winBoxSparkle16_im();
        this.instance_41.parent = this;

        this.instance_42 = new lib.winBoxSparkle17_im();
        this.instance_42.parent = this;

        this.instance_43 = new lib.winBoxSparkle18_im();
        this.instance_43.parent = this;

        this.instance_44 = new lib.winBoxSparkle19_im();
        this.instance_44.parent = this;

        this.instance_45 = new lib.winBoxSparkle20_im();
        this.instance_45.parent = this;

        this.instance_46 = new lib.winBoxSparkle21_im();
        this.instance_46.parent = this;

        this.instance_47 = new lib.winBoxSparkle22_im();
        this.instance_47.parent = this;

        this.instance_48 = new lib.winBoxSparkle23_im();
        this.instance_48.parent = this;

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 1).to({
            state: [{
                t: this.instance_2
            }]
        }, 1).to({
            state: [{
                t: this.instance_3
            }]
        }, 1).to({
            state: [{
                t: this.instance_4
            }]
        }, 1).to({
            state: [{
                t: this.instance_5
            }]
        }, 1).to({
            state: [{
                t: this.instance_6
            }]
        }, 1).to({
            state: [{
                t: this.instance_7
            }]
        }, 1).to({
            state: [{
                t: this.instance_8
            }]
        }, 1).to({
            state: [{
                t: this.instance_9
            }]
        }, 1).to({
            state: [{
                t: this.instance_10
            }]
        }, 1).to({
            state: [{
                t: this.instance_11
            }]
        }, 1).to({
            state: [{
                t: this.instance_12
            }]
        }, 1).to({
            state: [{
                t: this.instance_13
            }]
        }, 1).to({
            state: [{
                t: this.instance_14
            }]
        }, 1).to({
            state: [{
                t: this.instance_15
            }]
        }, 1).to({
            state: [{
                t: this.instance_16
            }]
        }, 1).to({
            state: [{
                t: this.instance_17
            }]
        }, 1).to({
            state: [{
                t: this.instance_18
            }]
        }, 1).to({
            state: [{
                t: this.instance_19
            }]
        }, 1).to({
            state: [{
                t: this.instance_20
            }]
        }, 1).to({
            state: [{
                t: this.instance_21
            }]
        }, 1).to({
            state: [{
                t: this.instance_22
            }]
        }, 1).to({
            state: [{
                t: this.instance_23
            }]
        }, 1).to({
            state: [{
                t: this.instance_24
            }]
        }, 1).to({
            state: [{
                t: this.instance_25
            }]
        }, 1).to({
            state: [{
                t: this.instance_26
            }]
        }, 1).to({
            state: [{
                t: this.instance_27
            }]
        }, 1).to({
            state: [{
                t: this.instance_28
            }]
        }, 1).to({
            state: [{
                t: this.instance_29
            }]
        }, 1).to({
            state: [{
                t: this.instance_30
            }]
        }, 1).to({
            state: [{
                t: this.instance_31
            }]
        }, 1).to({
            state: [{
                t: this.instance_32
            }]
        }, 1).to({
            state: [{
                t: this.instance_33
            }]
        }, 1).to({
            state: [{
                t: this.instance_34
            }]
        }, 1).to({
            state: [{
                t: this.instance_35
            }]
        }, 1).to({
            state: [{
                t: this.instance_36
            }]
        }, 1).to({
            state: [{
                t: this.instance_37
            }]
        }, 1).to({
            state: [{
                t: this.instance_38
            }]
        }, 1).to({
            state: [{
                t: this.instance_39
            }]
        }, 1).to({
            state: [{
                t: this.instance_40
            }]
        }, 1).to({
            state: [{
                t: this.instance_41
            }]
        }, 1).to({
            state: [{
                t: this.instance_42
            }]
        }, 1).to({
            state: [{
                t: this.instance_43
            }]
        }, 1).to({
            state: [{
                t: this.instance_44
            }]
        }, 1).to({
            state: [{
                t: this.instance_45
            }]
        }, 1).to({
            state: [{
                t: this.instance_46
            }]
        }, 1).to({
            state: [{
                t: this.instance_47
            }]
        }, 1).to({
            state: [{
                t: this.instance_48
            }]
        }, 1).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 200, 40);


    (lib.sparkleAnimationA = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // sparkle
        this.instance = new lib.winBoxSparkle00_im();
        this.instance.parent = this;

        this.instance_1 = new lib.winBoxSparkle01_im();
        this.instance_1.parent = this;

        this.instance_2 = new lib.winBoxSparkle02_im();
        this.instance_2.parent = this;

        this.instance_3 = new lib.winBoxSparkle03_im();
        this.instance_3.parent = this;

        this.instance_4 = new lib.winBoxSparkle04_im();
        this.instance_4.parent = this;

        this.instance_5 = new lib.winBoxSparkle05_im();
        this.instance_5.parent = this;

        this.instance_6 = new lib.winBoxSparkle06_im();
        this.instance_6.parent = this;

        this.instance_7 = new lib.winBoxSparkle07_im();
        this.instance_7.parent = this;

        this.instance_8 = new lib.winBoxSparkle08_im();
        this.instance_8.parent = this;

        this.instance_9 = new lib.winBoxSparkle09_im();
        this.instance_9.parent = this;

        this.instance_10 = new lib.winBoxSparkle10_im();
        this.instance_10.parent = this;

        this.instance_11 = new lib.winBoxSparkle11_im();
        this.instance_11.parent = this;

        this.instance_12 = new lib.winBoxSparkle12_impng();
        this.instance_12.parent = this;

        this.instance_13 = new lib.winBoxSparkle13_im();
        this.instance_13.parent = this;

        this.instance_14 = new lib.winBoxSparkle14_im();
        this.instance_14.parent = this;

        this.instance_15 = new lib.winBoxSparkle15_im();
        this.instance_15.parent = this;

        this.instance_16 = new lib.winBoxSparkle16_im();
        this.instance_16.parent = this;

        this.instance_17 = new lib.winBoxSparkle17_im();
        this.instance_17.parent = this;

        this.instance_18 = new lib.winBoxSparkle18_im();
        this.instance_18.parent = this;

        this.instance_19 = new lib.winBoxSparkle19_im();
        this.instance_19.parent = this;

        this.instance_20 = new lib.winBoxSparkle20_im();
        this.instance_20.parent = this;

        this.instance_21 = new lib.winBoxSparkle21_im();
        this.instance_21.parent = this;

        this.instance_22 = new lib.winBoxSparkle22_im();
        this.instance_22.parent = this;

        this.instance_23 = new lib.winBoxSparkle23_im();
        this.instance_23.parent = this;

        this.instance_24 = new lib.winBoxSparkle24_im();
        this.instance_24.parent = this;

        this.instance_25 = new lib.winBoxSparkle25_im();
        this.instance_25.parent = this;

        this.instance_26 = new lib.winBoxSparkle26_im();
        this.instance_26.parent = this;

        this.instance_27 = new lib.winBoxSparkle27_im();
        this.instance_27.parent = this;

        this.instance_28 = new lib.winBoxSparkle28_im();
        this.instance_28.parent = this;

        this.instance_29 = new lib.winBoxSparkle29_im();
        this.instance_29.parent = this;

        this.instance_30 = new lib.winBoxSparkle30_im();
        this.instance_30.parent = this;

        this.instance_31 = new lib.winBoxSparkle31_im();
        this.instance_31.parent = this;

        this.instance_32 = new lib.winBoxSparkle32_im();
        this.instance_32.parent = this;

        this.instance_33 = new lib.winBoxSparkle33_im();
        this.instance_33.parent = this;

        this.instance_34 = new lib.winBoxSparkle34_im();
        this.instance_34.parent = this;

        this.instance_35 = new lib.winBoxSparkle35_im();
        this.instance_35.parent = this;

        this.instance_36 = new lib.winBoxSparkle36_im();
        this.instance_36.parent = this;

        this.instance_37 = new lib.winBoxSparkle37_im();
        this.instance_37.parent = this;

        this.instance_38 = new lib.winBoxSparkle38_im();
        this.instance_38.parent = this;

        this.instance_39 = new lib.winBoxSparkle39_im();
        this.instance_39.parent = this;

        this.instance_40 = new lib.winBoxSparkle40_im();
        this.instance_40.parent = this;

        this.instance_41 = new lib.winBoxSparkle41_im();
        this.instance_41.parent = this;

        this.instance_42 = new lib.winBoxSparkle42_im();
        this.instance_42.parent = this;

        this.instance_43 = new lib.winBoxSparkle43_im();
        this.instance_43.parent = this;

        this.instance_44 = new lib.winBoxSparkle44_im();
        this.instance_44.parent = this;

        this.instance_45 = new lib.winBoxSparkle45_im();
        this.instance_45.parent = this;

        this.instance_46 = new lib.winBoxSparkle46_im();
        this.instance_46.parent = this;

        this.instance_47 = new lib.winBoxSparkle47_im();
        this.instance_47.parent = this;

        this.instance_48 = new lib.winBoxSparkle48_im();
        this.instance_48.parent = this;

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 1).to({
            state: [{
                t: this.instance_2
            }]
        }, 1).to({
            state: [{
                t: this.instance_3
            }]
        }, 1).to({
            state: [{
                t: this.instance_4
            }]
        }, 1).to({
            state: [{
                t: this.instance_5
            }]
        }, 1).to({
            state: [{
                t: this.instance_6
            }]
        }, 1).to({
            state: [{
                t: this.instance_7
            }]
        }, 1).to({
            state: [{
                t: this.instance_8
            }]
        }, 1).to({
            state: [{
                t: this.instance_9
            }]
        }, 1).to({
            state: [{
                t: this.instance_10
            }]
        }, 1).to({
            state: [{
                t: this.instance_11
            }]
        }, 1).to({
            state: [{
                t: this.instance_12
            }]
        }, 1).to({
            state: [{
                t: this.instance_13
            }]
        }, 1).to({
            state: [{
                t: this.instance_14
            }]
        }, 1).to({
            state: [{
                t: this.instance_15
            }]
        }, 1).to({
            state: [{
                t: this.instance_16
            }]
        }, 1).to({
            state: [{
                t: this.instance_17
            }]
        }, 1).to({
            state: [{
                t: this.instance_18
            }]
        }, 1).to({
            state: [{
                t: this.instance_19
            }]
        }, 1).to({
            state: [{
                t: this.instance_20
            }]
        }, 1).to({
            state: [{
                t: this.instance_21
            }]
        }, 1).to({
            state: [{
                t: this.instance_22
            }]
        }, 1).to({
            state: [{
                t: this.instance_23
            }]
        }, 1).to({
            state: [{
                t: this.instance_24
            }]
        }, 1).to({
            state: [{
                t: this.instance_25
            }]
        }, 1).to({
            state: [{
                t: this.instance_26
            }]
        }, 1).to({
            state: [{
                t: this.instance_27
            }]
        }, 1).to({
            state: [{
                t: this.instance_28
            }]
        }, 1).to({
            state: [{
                t: this.instance_29
            }]
        }, 1).to({
            state: [{
                t: this.instance_30
            }]
        }, 1).to({
            state: [{
                t: this.instance_31
            }]
        }, 1).to({
            state: [{
                t: this.instance_32
            }]
        }, 1).to({
            state: [{
                t: this.instance_33
            }]
        }, 1).to({
            state: [{
                t: this.instance_34
            }]
        }, 1).to({
            state: [{
                t: this.instance_35
            }]
        }, 1).to({
            state: [{
                t: this.instance_36
            }]
        }, 1).to({
            state: [{
                t: this.instance_37
            }]
        }, 1).to({
            state: [{
                t: this.instance_38
            }]
        }, 1).to({
            state: [{
                t: this.instance_39
            }]
        }, 1).to({
            state: [{
                t: this.instance_40
            }]
        }, 1).to({
            state: [{
                t: this.instance_41
            }]
        }, 1).to({
            state: [{
                t: this.instance_42
            }]
        }, 1).to({
            state: [{
                t: this.instance_43
            }]
        }, 1).to({
            state: [{
                t: this.instance_44
            }]
        }, 1).to({
            state: [{
                t: this.instance_45
            }]
        }, 1).to({
            state: [{
                t: this.instance_46
            }]
        }, 1).to({
            state: [{
                t: this.instance_47
            }]
        }, 1).to({
            state: [{
                t: this.instance_48
            }]
        }, 1).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 200, 40);


    (lib.onSymbolWinContainer = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.L0C4R2 = new lib.onSymbolWin();
        this.L0C4R2.parent = this;
        this.L0C4R2.setTransform(1084.5, 540.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C4R1 = new lib.onSymbolWin();
        this.L0C4R1.parent = this;
        this.L0C4R1.setTransform(1084.5, 361.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C4R0 = new lib.onSymbolWin();
        this.L0C4R0.parent = this;
        this.L0C4R0.setTransform(1084.5, 181.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C3R2 = new lib.onSymbolWin();
        this.L0C3R2.parent = this;
        this.L0C3R2.setTransform(896.5, 540.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C3R1 = new lib.onSymbolWin();
        this.L0C3R1.parent = this;
        this.L0C3R1.setTransform(896.5, 361.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C3R0 = new lib.onSymbolWin();
        this.L0C3R0.parent = this;
        this.L0C3R0.setTransform(896.5, 181.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C2R2 = new lib.onSymbolWin();
        this.L0C2R2.parent = this;
        this.L0C2R2.setTransform(708.5, 540.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C2R1 = new lib.onSymbolWin();
        this.L0C2R1.parent = this;
        this.L0C2R1.setTransform(708.5, 361.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C2R0 = new lib.onSymbolWin();
        this.L0C2R0.parent = this;
        this.L0C2R0.setTransform(708.5, 181.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C1R2 = new lib.onSymbolWin();
        this.L0C1R2.parent = this;
        this.L0C1R2.setTransform(520.5, 540.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C1R1 = new lib.onSymbolWin();
        this.L0C1R1.parent = this;
        this.L0C1R1.setTransform(520.5, 361.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C1R0 = new lib.onSymbolWin();
        this.L0C1R0.parent = this;
        this.L0C1R0.setTransform(520.5, 181.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C0R2 = new lib.onSymbolWin();
        this.L0C0R2.parent = this;
        this.L0C0R2.setTransform(332.5, 541.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C0R1 = new lib.onSymbolWin();
        this.L0C0R1.parent = this;
        this.L0C0R1.setTransform(332.5, 361.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.L0C0R0 = new lib.onSymbolWin();
        this.L0C0R0.parent = this;
        this.L0C0R0.setTransform(332.5, 181.5, 1, 1, 0, 0, 0, 78.5, 25.5);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C0R0
            }, {
                t: this.L0C0R1
            }, {
                t: this.L0C0R2
            }, {
                t: this.L0C1R0
            }, {
                t: this.L0C1R1
            }, {
                t: this.L0C1R2
            }, {
                t: this.L0C2R0
            }, {
                t: this.L0C2R1
            }, {
                t: this.L0C2R2
            }, {
                t: this.L0C3R0
            }, {
                t: this.L0C3R1
            }, {
                t: this.L0C3R2
            }, {
                t: this.L0C4R0
            }, {
                t: this.L0C4R1
            }, {
                t: this.L0C4R2
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.onSymbolWinContainer, new cjs.Rectangle(253, 271, 940, 420), null);


    (lib.sparkleAnimationFull = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // sparkle top
        this.instance = new lib.sparkleAnimationB("synched", 0);
        this.instance.parent = this;
        this.instance.setTransform(99.9, 20, 1, 1, 0, 0, 0, 99.9, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(49));

        // sparkle left
        this.instance_1 = new lib.sparkleAnimationA("synched", 0);
        this.instance_1.parent = this;
        this.instance_1.setTransform(20, 100, 1, 1, -90, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(49));

        // sparkle bottom
        this.instance_2 = new lib.sparkleAnimationB("synched", 0);
        this.instance_2.parent = this;
        this.instance_2.setTransform(100, 180, 1, 1, 180, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(49));

        // sparkle right
        this.instance_3 = new lib.sparkleAnimationA("synched", 0);
        this.instance_3.parent = this;
        this.instance_3.setTransform(180, 100, 1, 1, 90, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(49));

        // spakle top
        this.instance_4 = new lib.sparkleAnimationA("synched", 0);
        this.instance_4.parent = this;
        this.instance_4.setTransform(100, 20, 1, 1, 0, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(49));

        // sparkle left
        this.instance_5 = new lib.sparkleAnimationB("synched", 0);
        this.instance_5.parent = this;
        this.instance_5.setTransform(20, 100.1, 1, 1, -90, 0, 0, 99.9, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(49));

        // sparkle bottom
        this.instance_6 = new lib.sparkleAnimationA("synched", 0);
        this.instance_6.parent = this;
        this.instance_6.setTransform(100, 180, 1, 1, 180, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(49));

        // sparkle right
        this.instance_7 = new lib.sparkleAnimationB("synched", 0);
        this.instance_7.parent = this;
        this.instance_7.setTransform(180, 100, 1, 1, 90, 0, 0, 100, 20);

        this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(49));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 200, 200.1);


    (lib.box_gx = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            start: 0,
            end: 49,
            "static": 54
        });

        // anim
        this.instance = new lib.sparkleAnimationFull("synched", 0);
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 1.05, 1.05, 0, 0, 0, 99.9, 99.9);

        this.instance_1 = new lib.GoldenGoddess_WinBoxStatic_Desktop();
        this.instance_1.parent = this;
        this.instance_1.setTransform(-98, -98);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: []
        }, 50).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).wait(6));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-104.9, -105, 210.1, 210.1);


    (lib.symbol = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // BoxGrow
        this.highlight = new lib.box_gx();
        this.highlight.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.highlight).wait(1));

    }).prototype = getMCSymbolPrototype(lib.symbol, new cjs.Rectangle(-104.9, -105, 210.1, 210.1), null);


    (lib.highlights = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // WinReel0
        this.L0C0R0 = new lib.symbol();
        this.L0C0R0.parent = this;
        this.L0C0R0.setTransform(344, 246);

        this.L0C0R1 = new lib.symbol();
        this.L0C0R1.parent = this;
        this.L0C0R1.setTransform(344, 426);

        this.L0C0R2 = new lib.symbol();
        this.L0C0R2.parent = this;
        this.L0C0R2.setTransform(344, 606);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C0R2
            }, {
                t: this.L0C0R1
            }, {
                t: this.L0C0R0
            }]
        }).wait(1));

        // WinReel1
        this.L0C1R0 = new lib.symbol();
        this.L0C1R0.parent = this;
        this.L0C1R0.setTransform(532, 246);

        this.L0C1R1 = new lib.symbol();
        this.L0C1R1.parent = this;
        this.L0C1R1.setTransform(532, 426);

        this.L0C1R2 = new lib.symbol();
        this.L0C1R2.parent = this;
        this.L0C1R2.setTransform(532, 606);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C1R2
            }, {
                t: this.L0C1R1
            }, {
                t: this.L0C1R0
            }]
        }).wait(1));

        // WinReel2
        this.L0C2R0 = new lib.symbol();
        this.L0C2R0.parent = this;
        this.L0C2R0.setTransform(720, 246);

        this.L0C2R1 = new lib.symbol();
        this.L0C2R1.parent = this;
        this.L0C2R1.setTransform(720, 426);

        this.L0C2R2 = new lib.symbol();
        this.L0C2R2.parent = this;
        this.L0C2R2.setTransform(720, 606);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C2R2
            }, {
                t: this.L0C2R1
            }, {
                t: this.L0C2R0
            }]
        }).wait(1));

        // WinReel3
        this.L0C3R0 = new lib.symbol();
        this.L0C3R0.parent = this;
        this.L0C3R0.setTransform(908, 246);

        this.L0C3R1 = new lib.symbol();
        this.L0C3R1.parent = this;
        this.L0C3R1.setTransform(908, 426);

        this.L0C3R2 = new lib.symbol();
        this.L0C3R2.parent = this;
        this.L0C3R2.setTransform(908, 606);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C3R2
            }, {
                t: this.L0C3R1
            }, {
                t: this.L0C3R0
            }]
        }).wait(1));

        // WinReel4
        this.L0C4R0 = new lib.symbol();
        this.L0C4R0.parent = this;
        this.L0C4R0.setTransform(1096, 246);

        this.L0C4R1 = new lib.symbol();
        this.L0C4R1.parent = this;
        this.L0C4R1.setTransform(1096, 426);

        this.L0C4R2 = new lib.symbol();
        this.L0C4R2.parent = this;
        this.L0C4R2.setTransform(1096, 606);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.L0C4R2
            }, {
                t: this.L0C4R1
            }, {
                t: this.L0C4R0
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.highlights, new cjs.Rectangle(239.1, 141.1, 962.1, 570), null);


    (lib.container = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // onSymbolWin
        this.onSymbolWinContainer = new lib.onSymbolWinContainer();
        this.onSymbolWinContainer.parent = this;
        this.onSymbolWinContainer.setTransform(92, 29.5, 1, 1, 0, 0, 0, 92, 29.5);

        this.timeline.addTween(cjs.Tween.get(this.onSymbolWinContainer).wait(1));

        // highlightBoxes
        this.highlights = new lib.highlights();
        this.highlights.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.highlights).wait(1));

    }).prototype = getMCSymbolPrototype(lib.container, new cjs.Rectangle(239, 141.1, 961.9, 570), null);


    // stage content:
    (lib.WinBoxes = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Winboxes
        this.winboxes = new lib.container();
        this.winboxes.parent = this;
        this.winboxes.setTransform(722, 379.8, 1, 1, 0, 0, 0, 722, 379.8);

        this.timeline.addTween(cjs.Tween.get(this.winboxes).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(959, 546.1, 961.9, 570);
    // library properties:
    lib.properties = {
        width: 1440,
        height: 810,
        fps: 24,
        color: "#666666",
        opacity: 1.00,
        webfonts: {},
        manifest: [{
            src: "images/WinBoxes_atlas_P_.png",
            id: "WinBoxes_atlas_P_"
        }],
        preloads: []
    };




})(WinBoxes = WinBoxes || {}, images = images || {}, createjs = createjs || {}, ss = ss || {}, AdobeAn = AdobeAn || {});
var WinBoxes, images, createjs, ss, AdobeAn;